#include <Servo.h>
#include <EEPROM.h>
Servo myservo;
int topeizquierda, topederecha;
int posicion, posicionnueva;
int rango;
int pausa;
int velocidad;
void setup() {
  Serial.begin(9600);
  Serial.println("Saludos");
  Serial.println();
  topeizquierda = EEPROM.read(1);
  topederecha = EEPROM.read(2);
  posicion = topederecha - ((topederecha - topeizquierda) / 2);
  Serial.println("Leyendo datos de la calibración previa");
  Serial.println("Se detectan los siguientes valores ");
  Serial.print("Max Izq: ");
  Serial.print(topeizquierda);
  Serial.print(", Max dch: ");
  Serial.print(topederecha);
  Serial.print(". Calculo el punto central en: ");
  Serial.println(posicion);
  Serial.println("Colocando servo en posición central calculada");
  delay(1000);
  myservo.attach(9);
  myservo.write(posicion);
  delay(500);
}
void loop() {
  pausa = random(50, 2000);
  delay(pausa);
  posicionnueva = random(topeizquierda, topederecha);
  velocidad = random(1, 25);
   if (posicionnueva >= posicion) {
    for (int i = posicion; i <= posicionnueva; i += 1) {
      myservo.write(i);
      delay(velocidad);
      posicion = posicionnueva;
    }
  }
   if (posicionnueva < posicion) {
  for (int i = posicion; i >= posicionnueva; i -= 1) {
      myservo.write(i);
      delay(velocidad);
      posicion = posicionnueva;
    }
   }
 }
